## opendict-lingvosoft 0.6

=== Makefile ===
# Makefile for LingvoSoft Online Dictionaries
# 

VERSION=0.6
DICT	=
DESTDIR	=
datadir	= /usr/share/opendict/dictionaries/plugins

DICTIONARIES =	ensq sqen \
		enar aren \
		enbg bgen \
		encs csen \
		ennl nlen \
		enet eten \
		enfr fren \
		ende deen \
		enel elen \
		enhu huen \
		enit iten \
		enko koen \
		enlv lven \
		enfa faen \
		enpl plen \
		enpt pten \
		enro roen \
		enru ruen \
		ensr sren \
		ensk sken \
		enes esen \
		ensv sven \
		entr tren \
		enyi yien \
                enml

prepare:
	mkdir -p LingvoSoft-$$DICT-$(VERSION)
	name=$$(grep $$DICT languagelist | cut -f2 -d\;); \
	sed "s/NAME/$$name/g" plugin.xml | sed "s/LANG/$$DICT/g" | \
		sed "s/VERS/$(VERSION)/g" > LingvoSoft-$$DICT-$(VERSION)/plugin.xml
	direction=$$(grep $$DICT languagelist | cut -f3 -d\;); \
	langt=$$(grep $$DICT languagelist | cut -f4 -d\;); \
	sed "s/LANG/$$DICT/g" lingvosoft.py | sed "s/DIRECT/$$direction/g" | \
		sed "s/LNGT/$$langt/g" | sed "s/VERS/$(VERSION)/g" > \
			LingvoSoft-$$DICT-$(VERSION)/lingvosoft-$$DICT.py

install:
	$(MAKE) -C . prepare
	mkdir -p $(DESTDIR)$(datadir)/LingvoSoft-$$DICT
	cp  LingvoSoft-$$DICT-$(VERSION)/* $(DESTDIR)$(datadir)/LingvoSoft-$$DICT
	rm -rf LingvoSoft-$$DICT-$(VERSION)
#	mkdir -p $(DESTDIR)$(datadir)/LingvoSoft-$$DICT
#	name=$$(grep $$DICT languagelist | cut -f2 -d\;); \
#	sed "s/NAME/$$name/g" plugin.xml | sed "s/LANG/$$DICT/g" > \
#		$(DESTDIR)$(datadir)/LingvoSoft-$$DICT/plugin.xml
#	direction=$$(grep $$DICT languagelist | cut -f3 -d\;); \
#	langt=$$(grep $$DICT languagelist | cut -f4 -d\;); \
#	sed "s/LANG/$$DICT/g" lingvosoft.py | sed "s/DIRECT/$$direction/g" | \
#		sed "s/LNGT/$$langt/g" > \
#			$(DESTDIR)$(datadir)/LingvoSoft-$$DICT/lingvosoft-$$DICT.py

uninstall:
	rm -rf $(DESTDIR)$(datadir)/LingvoSoft-$$DICT

dist-src:
	mkdir opendict-lingvosoft-$(VERSION)
	cp Makefile README COPYING languagelist ChangeLog *.py *.xml opendict-lingvosoft-$(VERSION)
	tar zcvf opendict-lingvosoft-$(VERSION).tar.gz opendict-lingvosoft-$(VERSION)
	rm -rf opendict-lingvosoft-$(VERSION)

dist-zips: clean
	for DICT in $(DICTIONARIES); do \
                $(MAKE) -C . prepare DICT=$$DICT; \
		zip -r LingvoSoft-$$DICT-$(VERSION).zip LingvoSoft-$$DICT-$(VERSION)/* ; \
		rm -rf LingvoSoft-$$DICT-$(VERSION); \
	done

clean:
	rm -f *.zip
	rm -f *~
