## opendict-lingvosoft 0.8

=== Makefile ===
# Makefile for Lingvosoft Online Dictionaries
# 

VERSION=0.8
DICT	=
DESTDIR	=
datadir	= /usr/share/opendict/dictionaries/plugins

DICTIONARIES =	ensq enar enaz enbs enbg enzhs enzht enhr encs ennl \
		enet enfi enfr ende enel enhe enhu enid enit enjap \
		enjakana enjakanji enjaromaji enko enlv enlt enfa enpl enpt \
		enro enru ensr ensk enes ensv entl enth entr enuk \
		envi enyi enmul
prepare:
	mkdir -p Lingvosoft-$$DICT-$(VERSION)
	name=$$(grep $$DICT languagelist | cut -f2 -d\;); \
	sed "s/NAME/$$name/g" plugin.xml | sed "s/LANG/$$DICT/g" | \
		sed "s/VERS/$(VERSION)/g" > tmp.txt
	sed "s/<=>/\&lt;=\&gt;/" tmp.txt > Lingvosoft-$$DICT-$(VERSION)/plugin.xml
	rm -f tmp.txt
	direction=$$(grep $$DICT languagelist | cut -f3 -d\;); \
	langt=$$(grep $$DICT languagelist | cut -f3 -d\;); \
	sed "s/LANG/$$DICT/g" lingvosoft.py | sed "s/DIRECT/$$direction/g" | \
		sed "s/TRANSLTO/$$direction/g" | sed "s/VERS/$(VERSION)/g" > \
			Lingvosoft-$$DICT-$(VERSION)/lingvosoft-$$DICT.py

install-common: weblingvosoft.py
	mkdir -p $(DESTDIR)$(datadir)
	cp  weblingvosoft.py $(DESTDIR)$(datadir)	

install: install-common
	$(MAKE) -C . prepare
	mkdir -p $(DESTDIR)$(datadir)/Lingvosoft-$$DICT
	cp  Lingvosoft-$$DICT-$(VERSION)/* $(DESTDIR)$(datadir)/Lingvosoft-$$DICT
	ln -sf ../weblingvosoft.py $(DESTDIR)$(datadir)/Lingvosoft-$$DICT/weblingvosoft.py
	rm -rf Lingvosoft-$$DICT-$(VERSION)

uninstall:
	rm -rf $(DESTDIR)$(datadir)/Lingvosoft-$$DICT

dist-src:
	mkdir opendict-lingvosoft-$(VERSION)
	cp Makefile README COPYING languagelist ChangeLog *.py *.xml opendict-lingvosoft-$(VERSION)
	tar zcvf opendict-lingvosoft-$(VERSION).tar.gz opendict-lingvosoft-$(VERSION)
	rm -rf opendict-lingvosoft-$(VERSION)

dist-zips: clean
	for DICT in $(DICTIONARIES); do \
                $(MAKE) -C . prepare DICT=$$DICT; \
		cp weblingvosoft.py Lingvosoft-$$DICT-$(VERSION); \
		zip -r Lingvosoft-$$DICT-$(VERSION).zip Lingvosoft-$$DICT-$(VERSION)/* ; \
		rm -rf Lingvosoft-$$DICT-$(VERSION); \
	done

clean:
	rm -f *.zip
	rm -f *~
