=== debian/changelog ===
opendict-lingvosoft (0.8-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Use source format 3.0 (quilt).
  * Build with dh-python2 instead of python-support.  Closes: #786094
  * Install weblingvosoft.py in /usr/lib/python2.7/dist-packages.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 13 Dec 2015 23:41:44 +0000

opendict-lingvosoft (0.8-2) unstable; urgency=low

  * debian/{control, rules}: changed Build-Depends from python-central to
    python-support and now the common module for all dictionaries
    weblingvosoft.py is installed in the /usr/share/python-support directory.
    Thanks to Alexander Wirt <formorer@debian.de> for suggestion.

 -- Kęstutis Biliūnas <kebil@kaunas.init.lt>  Thu, 04 Oct 2007 10:13:10 +0300

opendict-lingvosoft (0.8-1) unstable; urgency=low

  * New upstream release (Closes: #443757). Plus 17 dictionaries. Thus, now
    it has 42 bilingual dictionaries.
  * debian/control: added the new dictionaries to the package description.

 -- Kęstutis Biliūnas <kebil@kaunas.init.lt>  Sun, 23 Sep 2007 23:28:38 +0300

opendict-lingvosoft (0.7-0.1) unstable; urgency=low

  * New upstream release.

 -- Kęstutis Biliūnas <kebil@kaunas.init.lt>  Fri, 22 Dec 2006 20:58:16 +0200

opendict-lingvosoft (0.6-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - changed the field "Section:" from "text" to "contrib/text".
    - reduced the number of binaries to one package.
    - bumped Standards-Version to 3.7.2. No changes required.
  * Updated for new Python policy:
    - debian/control: added build-depend on python-central and python-all-dev.
      Also added the XS-Python-Version and XB-Python-Version fields.
    - debian/rules: added dh_pycentral before dh_python in binary rule.
    - added debian/pycompat file.

 -- Kęstutis Biliūnas <kebil@kaunas.init.lt>  Thu, 14 Sep 2006 19:17:31 +0300

opendict-lingvosoft (0.4-1) unstable; urgency=low

  * Initial release (Closes: #337670).

 -- Kęstutis Biliūnas <kebil@kaunas.init.lt>  Sat,  3 Dec 2005 21:43:57 +0200
