=== debian/control ===
Source: opendict-lingvosoft
Section: contrib/text
Priority: optional
Maintainer: Kęstutis Biliūnas <kebil@kaunas.init.lt>
X-Python-Version: >=2.3
Build-Depends: debhelper (>= 5.0.38)
Build-Depends-Indep: python-all-dev (>= 2.3.5-11), dh-python
Standards-Version: 3.7.2

Package: opendict-plugins-lingvosoft
Architecture: all
Depends: ${python:Depends}, opendict (>= 0.5.7)
XB-Python-Version: ${python:Versions}
Description: plugins for OpenDict - LingvoSoft Online Dictionaries
 This plugin fetches translations from http://www.lingvozone.com
 for use by OpenDict program and provides these dictionaries:
   English <=> Albanian
   English <=> Arabic
   English <=> Azeri
   English <=> Bosnian
   English <=> Bulgarian
   English <=> Chinese-Simplified
   English <=> Chinese-Traditional
   English <=> Croatian
   English <=> Czech
   English <=> Dutch
   English <=> Estonian
   English <=> Finnish
   English <=> French
   English <=> German
   English <=> Greek
   English <=> Hebrew
   English <=> Hungarian
   English <=> Indonesian
   English <=> Italian
   English <=> Japanese
   English <=> Japanese Kana
   English <=> Japanese Kanji
   English <=> Japanese Romaji
   English <=> Korean
   English <=> Latvian
   English <=> Lithuanian
   English <=> Persian(Farsi)
   English <=> Polish
   English <=> Portuguese
   English <=> Romanian
   English <=> Russian
   English <=> Serbian
   English <=> Slovak
   English <=> Spanish
   English <=> Swedish
   English <=> Tagalog (Philippines)
   English <=> Thai
   English <=> Turkish
   English <=> Ukrainian
   English <=> Vietnamese
   English <=> Yiddish
   English -> MultiLingual
