=== debian/watch ===
version=3
http://kebil.ghost.lt/opendict_plugins/opendict-lingvosoft-(.*)\.tar\.gz
